/***********************************************************************************************************************
 *
 * blueMarine Metadata - open source media workflow
 * Copyright (C) 2007-2011 by Tidalwave s.a.s. (http://www.tidalwave.it)
 *
 ***********************************************************************************************************************
 *
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not use this file except in compliance with
 * the License. You may obtain a copy of the License at
 *
 *     http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on
 * an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.  See the License for the
 * specific language governing permissions and limitations under the License.
 *
 ***********************************************************************************************************************
 *
 * WWW: http://bluemarine.tidalwave.it
 * SCM: https://kenai.com/hg/bluemarine~metadata-src
 *
 **********************************************************************************************************************/
package it.tidalwave.metadata.tiff.provider;

import java.util.Date;
import it.tidalwave.image.metadata.Directory;
import it.tidalwave.metadata.MetadataItemHolder;
import javax.annotation.Nonnull;

/*******************************************************************************
 *
 * @author  Fabrizio Giudici
 * @version $Id$
 *
 ******************************************************************************/
public class DirectoryMetadataItemHolder<Item extends Directory> extends MetadataItemHolder<Item>
  {
    private static final long serialVersionUID = 456245698754098627L;

    public DirectoryMetadataItemHolder (@Nonnull final Item bean)
      {
        super(bean);
      }
    
    public DirectoryMetadataItemHolder (@Nonnull final Item bean,
                                        @Nonnull final String sourceName,
                                        @Nonnull final String origin,
                                        final Date latestModificationTime)
      {
        super(bean, sourceName, origin, latestModificationTime);
      }
    
    @Override
    public boolean isAvailable()
      {
        return get().getTagCodes().length > 0;
      }
  }
